Subject: Re: [RFC PATCH net-next] ppp: Allow ppp device connected to an l2tp session to change of namespace

From: François Cachereul <[email-masked]>
Date: Thu, 24 Oct 2013 15:41:59 +0200

On 10/24/2013 12:55 PM, James Chapman wrote:
> On 24/10/13 11:30, François Cachereul wrote:
>> Remove NETIF_F_NETNS_LOCAL flag from ppp device in ppp_connect_channel()
>> if the device is connected to a l2tp session socket.
>> Restore the flag in ppp_disconnect_channel().
> 
> What about pppd's network namespace? Also, L2TP's tunnel socket (UDP or
> L2TP/IP) will be in a different namespace if the ppp interface is moved.

That's what I'm trying to achieve. I'm not using pppd and my problem is
as follow:  I need to isolate ppp devices from each other, even when
they are connected to sessions carried by the same L2TP tunnel. Also, I
need the authentication to be terminated to know the namespace in which
the ppp will be moved. For that, the process runs in a namespace with
its l2tp sockets (tunnel and session) in that same namespace and each
ppp device is moved in a specific namespace after authentication.
 
Regards
François